org.apache.lucene.index

## Class AllDeletedFilterReader

- java.lang.Object
- - org.apache.lucene.index.IndexReader
  - - org.apache.lucene.index.LeafReader
    - - org.apache.lucene.index.FilterLeafReader
      - - org.apache.lucene.index.AllDeletedFilterReader

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class AllDeletedFilterReader
    extends FilterLeafReader

Filters the incoming reader and makes all documents appear deleted.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.index.FilterLeafReader

`FilterLeafReader.FilterFields, FilterLeafReader.FilterPostingsEnum, FilterLeafReader.FilterTerms, FilterLeafReader.FilterTermsEnum`

### Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader

`IndexReader.CacheHelper, IndexReader.CacheKey, IndexReader.ClosedListener`

### Field Summary

### Fields inherited from class org.apache.lucene.index.FilterLeafReader

`in`

### Constructor Summary

Constructors
Constructor and Description
`AllDeletedFilterReader(LeafReader in)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IndexReader.CacheHelper` `getCoreCacheHelper()`
`Bits` `getLiveDocs()`
`IndexReader.CacheHelper` `getReaderCacheHelper()`
`int` `numDocs()`

### Methods inherited from class org.apache.lucene.index.FilterLeafReader

`checkIntegrity, doClose, document, getBinaryDocValues, getDelegate, getFieldInfos, getMetaData, getNormValues, getNumericDocValues, getPointValues, getSortedDocValues, getSortedNumericDocValues, getSortedSetDocValues, getTermVectors, maxDoc, terms, toString, unwrap`

### Methods inherited from class org.apache.lucene.index.LeafReader

`docFreq, getContext, getDocCount, getSumDocFreq, getSumTotalTermFreq, postings, postings, totalTermFreq`

### Methods inherited from class org.apache.lucene.index.IndexReader

`close, decRef, document, document, ensureOpen, equals, getRefCount, getTermVector, hasDeletions, hashCode, incRef, leaves, numDeletedDocs, registerParentReader, tryIncRef`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AllDeletedFilterReader

    public AllDeletedFilterReader(LeafReader in)

### Method Detail

#### getLiveDocs

    public Bits getLiveDocs()

Overrides:
  `getLiveDocs` in class `FilterLeafReader`

#### numDocs

    public int numDocs()

Overrides:
  `numDocs` in class `FilterLeafReader`

#### getCoreCacheHelper

    public IndexReader.CacheHelper getCoreCacheHelper()

Specified by:
  `getCoreCacheHelper` in class `LeafReader`

#### getReaderCacheHelper

    public IndexReader.CacheHelper getReaderCacheHelper()

Specified by:
  `getReaderCacheHelper` in class `IndexReader`